org.springframework.jca.cci

## Class CannotGetCciConnectionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.springframework.core.NestedRuntimeException
        - - org.springframework.dao.DataAccessException
          - - org.springframework.dao.NonTransientDataAccessException
            - - org.springframework.dao.NonTransientDataAccessResourceException
              - - org.springframework.dao.DataAccessResourceFailureException
                - - org.springframework.jca.cci.CannotGetCciConnectionException

- All Implemented Interfaces:
    Serializable

      public class CannotGetCciConnectionException
      extends DataAccessResourceFailureException

  Fatal exception thrown when we can't connect to an EIS using CCI.
  Since:
    1.2
  Author:
    Thierry Templier, Juergen Hoeller
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CannotGetCciConnectionException(String msg, ResourceException ex)` Constructor for CannotGetCciConnectionException.

  - ### Method Summary

    - ### Methods inherited from class org.springframework.core.NestedRuntimeException

      `contains, getMessage, getMostSpecificCause, getRootCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CannotGetCciConnectionException

          public CannotGetCciConnectionException(String msg,
                                         ResourceException ex)

      Constructor for CannotGetCciConnectionException.
      Parameters:
        `msg` - message
        `ex` - ResourceException root cause